Subject: RE: NT inetd (remote.tar.gz) questions; archive search down
From: [email-masked] (Peter A. Vogel)

20 Sep 1998 19:33:03 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>, <[email-masked]>,
        "Steve Morris" <[email-masked]>
Cc: <[email-masked]>

to mount a drive binary, use mount -b <dospath> <unixpath>.

No, as is my wont, I'll ask a question on the same topic after answering one
:-)

Is there a way to mount a drive as BOTH a binary AND a text mount?  In
particular,
I was trying to do this yesterday, mounting c:/ as / in text mode and as
/binc in
binary mode.  However, bash started to complain about reading my .bashrc
(which is
in /) and my PS1 ("\W >") behaved very strangely, I'd get the prompt
correctly, but
anything I typed would type over the prompt, when a command completed, I had
to hit
enter again to see a prompt.

None of this happens if I get rid of the binary mount.

Thanks!
-Peter

Peter A. Vogel
Manager, SW Configuration Management
Chromatic Research, Inc.
http://www.chromatic.com

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Earnie Boyd
> Sent: Saturday, September 19, 1998 8:20 AM
> To: [email-masked]; Steve Morris
> Cc: [email-masked]
> Subject: Re: NT inetd (remote.tar.gz) questions; archive search down
>
>
>
> To search the archives use http://www.eGroups.com/list/gnu-win32 mail
> list site. It remains upto date with the list.
>
> Geoff, I suggest you just point the list there for now.
>
> ---Steve Morris <[email-masked]> wrote:
> >
> >
> > Argh!! The search function is temporarily disabled for the archives.
> I know
> > these questions are answered in the archives somewhere.
> >
> > Please feel free to point me to documentation. Give me advice today
> and you
> > help me today. Give me a pointer to documentation and you help me
> for life. Or
> > is that fish. ;)
> >
> > On Sergey's web page he says:
> > > How to run inetd:
> > > ...
> > > Windows NT: remove "Simple TCP/IP services" (if any) - inetd have
> the same
> > > functionality built-in.
> > >
> > > Start /usr/local/sbin/inetd as a service using srvany utility from
> Windows NT
> > > Resource Kit, or freeware AutoexNT or invoker utility. Inetd
> should be started
> > > with "-d" option (see corresponding manuals how to provide command
> line
> > > options for started applications). You will have no easy ability
> to stop inetd
> > > service running without -d option (kill from resource kit will
> help you).
> >
> > Ok so far.
> >
> > > The account of a service must have a valid cygwin's mount table.
> >
> > 1) How is the account of a service determined. I see no reference to
> it in the
> >    service control. Should I create a special account just for
> inetd? Does
> >    this help me control security? Or do I just use the
> administrators account?
> >    I will be up 24x7 so security will be an important issue.
> >
> > 2) How do I create mount tables for various accounts? Actually what
> I really
> >    want to know is where is the cygwin mount behavior documented. I
> have been
> >    meaning to figure out how to switch to binary mounts anyway. So
> far I have
> >    a vanilla install with whatever mount table the install gave me.
> Since I
> >    have only a large C: drive this works but is probably not optimal.
> >
> > 3) As long as I am asking, where is the documentation for the cygwin32
> >    environment variables? I see them mentioned often on this list
> but I have
> >    never seen the doc.
> >
> > 4) Is this the same inetd package that comes with linux. Can I use
> that doc to
> >    figure out configuration issues?
> >
> > Thanks and sorry for cluttering the bandwidth with previously answered
> > questions.
> >
> > Steve Morris
> > -
> > For help on using this list (especially unsubscribing), send a
> message to
> > "[email-masked]" with one line of text: "help".
> >
>
> ==
> -                \\||//
> -----------o0O0--Earnie--0O0o------------
> --        [email-masked]        --
> -- http://freeyellow.com/members5/gw32 --
> --------------ooo0O--O0ooo---------------
>
> PS: Newbie's, you should visit my page.
> _________________________________________________________
> DO YOU YAHOO!?
> Get your free @yahoo.com address at http://mail.yahoo.com
>
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".